%global __provides_exclude_from ^%{_libdir}/switchboard/.*\\.so$

Name:           switchboard-plug-bluetooth
Summary:        Switchboard Bluetooth plug
Version:        0.1
Release:        2%{?dist}
License:        GPLv3+

URL:            https://launchpad.net/%{name}
Source0:        %{url}/loki/%{version}/+download/%{name}-%{version}.tar.xz

# Patch to fix compilation on vala 0.35+
Patch0:         00-fix-vala-036-compilation.patch

BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  vala >= 0.22.0
BuildRequires:  vala-tools

BuildRequires:  pkgconfig(glib-2.0) >= 2.32
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(switchboard-2.0)

Requires:       bluez

Supplements:    (bluez and switchboard%{?_isa})


%description
The Bluetooth plug is a section in the Switchboard (System Settings)
that allows the user to manage bluetooth settings and connected
devices.


%prep
%setup -q
%patch0 -p1


%build
mkdir build && pushd build
%cmake ..
%make_build
popd


%install
pushd build
%make_install
popd

%find_lang pantheon-bluetooth-plug


%files -f pantheon-bluetooth-plug.lang
%{_libdir}/switchboard/network/pantheon-bluetooth/


%changelog
* Thu May 18 2017 Fabio Valentini <decathorpe@gmail.com> - 0.1-2
- Add upstream patch to fix compilation with vala 0.35+.

* Mon Feb 20 2017 Fabio Valentini <decathorpe@gmail.com> - 0.1-1
- Initial package.


